WordPress.org

Ready to get started?Download WordPress

Forums

iThemes Security (formerly Better WP Security)
Major problems, site broke, warnings, can't login (4 posts)

  1. vickyj
    Member
    Posted 4 months ago #

    Wow, what the heck is going on with version 4.0.10?
    I can't even get into my cpanel. My whole network of 66 sites (4 multisites)on a dedicated server have been effected. Each multisite has this plugin but one of my multisites came up with errors so I deleted it and tried again a week later with a much worse outcome.

    I get this error on the front end:
    Warning: in_array() expects parameter 2 to be array, string given in /home/abc/public_html/wp-content/plugins/better-wp-security/modules/free/four-oh-four/class-itsec-four-oh-four.php on line 32

    and other fatal errors in the back end (can't get in now to tell you what they are...on line 1524 or something.)

    Site won't load from the front end, back end or cpanel.
    Is there a fix coming? Need it real fast!

    https://wordpress.org/plugins/better-wp-security/

  2. Viktor Nagornyy
    Member
    Posted 4 months ago #

    I have not tested it with this issue on a multisite, but sounds like you have enough knowledge to follow my instructions to see if this helps your issue. You need to delete database entries that this plugin creates to allow it to create fresh new ones, which also fixes many problems. Try this if you're in dire need to get your sites working.

    http://wordpress.org/support/topic/how-to-reset-ithemes-security-plugin-to-fix-issues?replies=12

  3. vickyj
    Member
    Posted 4 months ago #

    Thanks Viktor.
    I managed to get into my cpanel after very long load times (without it giving me load time errors) and deleted the plugin via ftp. All sites, including those not even on the same multisites came back up and back to speed once I deleted it.

    Seems very strange to me that this plugin update could screw things up so badly across many sites on the same server. I have installed another plugin just to satisfy the IP's I have blocked but would really like the ithemes security plugin to work successfully so I can install it again. It appears to be working fine on the other multisites - which have been set up the same.

  4. Viktor Nagornyy
    Member
    Posted 4 months ago #

    The new version of the plugin seems to have conflicts with old database entries from Better WP Security plugin. Deleting database entries as I described in my thread, should allow you to re-activate this plugin without any issues. But I did not test this on Multisite version.

    If all sites are under one multisite version, then it would affect all those sites since technically its one giant site.

Reply

You must log in to post.

About this Plugin

About this Topic